package com.iamberry.rent.utils;

import java.util.Random;

/**
 * 
 * @author liuzhiwei
 *	租赁工具类
 */
public class RentOrderUtil {
	
	/**
	 * 随机生成一个密码
	 * @param len 密码总长度
	 * @param numLen 需要生成数字的总长度
	 * @return
	 */
	public static String getPassward(int len,int numLen) {
		StringBuilder sb = new StringBuilder(len);
		Random rnd = new Random();
		int num = 0;
		//除了数字以外的字母的总长度
		if (len >= numLen) {
			num = len - numLen;
		}
		if (num > 0) {
			String chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
			int j = 0;
			while (j < num) {
				//生成一个随机的大写字母
				String letter = String.valueOf(chars.charAt((int)(Math.random() * 26)));
				//该大写字母不能是O,I,L等字母，如果是O,I,L则继续生成并且不添加进sb字符串中
				if (!"O".equals(letter) &&  !"I".equals(letter) && !"L".equals(letter)) {
					sb.append(letter);
					j++;
				}
			}
		}
		for (int i = 0; i < numLen; i++)
			sb.append("0123456789".charAt(rnd.nextInt("0123456789".length())));
		return sb.toString();
	}
}
